SystemOrganization addCategory: #'CS528-SetbackProject-Tests'!

Deck subclass: #TestDeck
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SetbackProject-Tests'!

!TestDeck methodsFor: 'acessors' stamp: 'TerryTata 6/29/2013 10:36'!
cards
^cards! !

TestCase subclass: #CardHandTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SetbackProject-Tests'!

!CardHandTest methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 11:03'!
testHandAdditionCapacity
|hand deck|
deck:= (Deck createStandardDeck).
hand:= (TestCardHand addCard: deck dealNext).
self assert: (hand cards size) = 1.
(hand addCard: deck dealNext).
self assert: (hand cards size) = 2.
(hand addCard: deck dealNext).
self assert: (hand cards size) = 3.
(hand addCard: deck dealNext).
self assert: (hand cards size) = 4.
(hand addCard: deck dealNext).
self assert: (hand cards size) = 5.
(hand addCard: deck dealNext).
self assert: (hand cards size) = 6.
self should: [ (hand addCard: deck dealNext). ] raise: TestResult error.
! !

!CardHandTest methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 11:07'!
testHandRemovalCapacity
|hand card|
card:= (Card value: #two suit: #hearts).
hand:= (TestCardHand addCard: card).
self assert: (hand capacity) = 6.
self assert: (hand cards size) = 1.
(hand removeCard: card).
self should: [ (hand removeCard: card). ] raise: TestResult error.
! !

!CardHandTest methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 11:08'!
testHandUniqueness
|hand card|
card:= (Card value: #two suit: #hearts).
hand:= (TestCardHand addCard: card).
self assert: (hand capacity) = 6.
self assert: (hand cards size) = 1.
(TestCardHand addCard: card).
self assert: (hand cards size) = 1.! !

TestCase subclass: #CardTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SetbackProject-Tests'!

!CardTest methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 11:07'!
testCardUniqueness
|card|
card:= (Card value: #two suit: #hearts).
self should: [ card value: #two suit: #hearts ] raise: TestResult error.! !

!CardTest methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/28/2013 15:29'!
testInvalidCardCreation
self should: [(Card value: #two unit: #two)] raise: TestResult error.
self should: [(Card value: #hearts unit: #hearts)] raise: TestResult error.! !

!CardTest methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 11:07'!
testSimpleCardCreation
self assert: ((Card value: #two suit: #hearts) value) = #two.
self assert: ((Card value: #two suit: #hearts) suit) = #hearts.! !

TestCase subclass: #DeckTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SetbackProject-Tests'!

!DeckTest methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 11:08'!
testDeckCreation
self assert: (TestDeck new cards = nil).
self assert: (TestDeck createStandardDeck cards size = 52).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #ace suit: #hearts)).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #king suit: #diamonds)).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #queen suit: #spades)).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #jack suit: #clubs)).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #ten suit: #hearts)).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #nine suit: #diamonds)).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #eight suit: #spades)).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #seven suit: #clubs)).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #six suit: #clubs)).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #five suit: #hearts)).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #four suit: #diamonds)).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #three suit: #spades)).
self assert: (TestDeck createStandardDeck cards includes: (Card value: #two suit: #clubs)).! !

!DeckTest methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/28/2013 19:44'!
testDeckDealing
|deck|
deck:= Deck createStandardDeck.
1 to: 52 do: [ :i | deck dealNext ].
self should: [deck dealNext] raise: TestResult error.! !

TestCase subclass: #SetbackTrickTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SetbackProject-Tests'!

!SetbackTrickTest methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 14:35'!
testTrickCreation
self assert: (TestTrick leadCard: (Card value: #ace suit: #hearts)) leadCard suit = #hearts.
self assert: (TestTrick leadCard: (Card value: #ace suit: #hearts)) leadCard value = #ace.
self assert: (TestTrick leadCard: (Card value: #ace suit: #hearts)) cards size = 1.! !

!SetbackTrickTest methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 14:29'!
testTrickCreationNewGame
self assert: (TestTrick playFirstCardOfNewGame: (Card value: #ace suit: #hearts)) leadCard suit = #hearts.
self assert: (TestTrick playFirstCardOfNewGame: (Card value: #ace suit: #hearts)) leadCard value = #ace.
self assert: (TestTrick playFirstCardOfNewGame: (Card value: #ace suit: #hearts)) cards size = 1.
self assert: (TestTrick playFirstCardOfNewGame: (Card value: #ace suit: #hearts)) trumpSuit = #hearts.! !

!SetbackTrickTest methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 14:39'!
testTrickUniqueCards
|trick card hand|
card:= (Card value: #ace suit: #hearts).
trick:= TestTrick playFirstCardOfNewGame: card.
hand:= TestCardHand addCard: card.
self assert: (trick playCard: card inHand: hand) cards size = 1.! !

CardHand subclass: #TestCardHand
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SetbackProject-Tests'!

!TestCardHand methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 10:37'!
capacity
^capacity! !

!TestCardHand methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 10:37'!
cards
^cards! !

SetbackTrick subclass: #TestTrick
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SetbackProject-Tests'!

!TestTrick methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 14:02'!
cards
^cards! !

!TestTrick methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 14:02'!
leadCard
^leadCard! !

!TestTrick methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 14:03'!
trumpSuit
^trumpSuit! !

!TestTrick methodsFor: 'as yet unclassified' stamp: 'TerryTata 6/29/2013 14:03'!
winningCard
^winningCard! !
